Bienvenue sur IndexError.

Ici vous pouvez poser des questions sur Python et le Framework Django.

Mais aussi sur les technos front comme React, Angular, Typescript et Javascript en général.

Consultez la FAQ pour améliorer vos chances d'avoir des réponses à vos questions.

ImportError de curses sous 2.7.9

+1 vote

Plop la foule,

j'ai un problème d'ImportError de curses sous OSX 10.9.5 et python 2.7.9 installé depuis le DMG.
Quand je tente l'import j'ai ceci:

Traceback (most recent call last):
  File "Untitled.py", line 1, in <module>
    import curses
  File "/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/curses/__init__.py", line 15, in <module>
    from _curses import *
ImportError: dlopen(/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_curses.so, 2): Library not loaded: /Library/Frameworks/Python.framework/Versions/2.7/lib/libncursesw.5.dylib
  Referenced from: /System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_curses.so
  Reason: image not found

Symlinker /System/Library/Frameworks/Python.framework/Versions/2.7/lib/libncursesw.5.dylib vers /Library/Frameworks/Python.framework/Versions/2.7/lib/libncursesw.5.dylib ne change absolument rien.

Une idée?

demandé 23-Sep-2015 par barnumbirr (2,750 points)

2 Réponses

0 votes
 
Meilleure réponse

J'ai trouvé une solution (c'est un hack un peu moche en mode bourrin mais au moins ca fonctionne tant que je trouve pas la cause exacte du problème). J'ai simplement fait ceci:

sudo cp /System/Library/Frameworks/Python.framework/Versions/2.7/lib/libncursesw.5.dylib /Library/Frameworks/Python.framework/Versions/2.7/lib/libncursesw.5.dylib

J'arrive toujours pas a comprendre pourquoi python essaye de load depuis le mauvais dir par contre...

répondu 24-Sep-2015 par barnumbirr (2,750 points)
0 votes

Peut-être que tu peux te simplifier la vie avec pygcurse :

http://inventwithpython.com/pygcurse/

répondu 24-Sep-2015 par buffalo974 (2,690 points)

Pygcurse est un émulateur de la librairie curses pour Windows, donc ca va pas m'aider (même si c'est installable sous OSX).

...